import java.io.*;
import java.util.*;

public class Main {
    static class Point{
        long x,y;
    }
    static class PointComporator implements Comparator<Point>{
        public int compare(Point o1, Point o2) {
            return Long.compare(o1.x,o2.x);
        }
    }

    public static void main(String[] args) throws IOException {
        long n=nextLong();
        long a[]=new long[(int) n];
        for (int i = 0; i <n ; i++) {
            a[i]=nextLong();
        }
        long p=n;
        long r=0;
        for (int i = 0; i < n; i++) {
            for (int j = i+1; j <n ; j++) {
                if(a[j-1]==a[j])break;
                if(a[j-1]>a[j])r=1;
                if(a[j-1]<a[j]&&r==1)break;
                p++;
            }r=0;
        }
        out.println(p);
        out.close();

    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}