import java.io.*;
import java.util.*;

public class Main {
    static class Point {
        long x, y;
    }

    static class PointComporator implements Comparator<Point> {
        public int compare(Point o1, Point o2) {
            return Long.compare(o1.x, o2.x);
        }
    }

    static long w, u,p,h;

    static void rec(int e,int d,  long[][] a, long[] s,long b[]) {

        int sum = 0;
        int r = 0;
        for (int i = 0; i < w; i++) {
            for (int j = 0; j <h ; j++) {
                sum+=a[i][j]*s[i]*b[j];
            }
        }
        if (sum == u) {
            out.println("YES");
            out.println(r);
            for (int i = 0; i < w; i++) {
                if (s[i] == 0) out.println(2 + " " + (i + 1));
            }
            for (int i = 0; i <h ; i++) {
                if(b[i]==0)out.println(1+" "+(i+1));
            }
            out.close();System.exit(0);
        }
        for (int i = 0; i < 2; i++) {
            for (int j = 0; j <2 ; j++) {
                if(e<w){s[e] = i;rec(e + 1,d, a, s,b);}
                if(d<h){b[d]=j;rec(e,d+1,a,s,b);}
            }

        }

    }

    public static void main(String[] args) throws IOException {
         h = nextInt();
        w = nextInt();
        long a[][] = new long[(int) w][(int) h];
        long s[] = new long[(int) w];
        long b[]=new long[(int) h];
        for (int i = 0; i < w; i++) {
            for (int j = 0; j <h ; j++) {
            a[i][j] = nextLong();
            s[i] = 1;
            b[j]=1;
            }
        }
        u = nextLong();
        rec(0,0, a, s,b);
        out.println("NO");
        out.close();

    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}