import java.io.*;
import java.util.*;

public class Main {
    static class Point{
        long x,y;
    }
    static class PointComporator implements Comparator<Point>{
        public int compare(Point o1, Point o2) {
            return Long.compare(o1.x,o2.x);
        }
    }

    public static void main(String[] args) throws IOException {
        long n=nextLong();
        long m=nextLong();
        char s[][]=new char[(int) n][];
        for (int i = 0; i <n ; i++) {
            s[i]=nextToken().toCharArray();
        }
        for (int i = 0; i <n ; i++) {
            if(s[i][0]=='X'&&s[i][5]!='X'){if(m>0){m--;s[i][5]='X';}else{out.println("Impossible");out.close();return;}}
            if(s[i][1]=='X'&&s[i][4]!='X'){if(m>0){m--;s[i][4]='X';}else{out.println("Impossible");out.close();return;}}
            if(s[i][2]=='X'&&s[i][3]!='X'){if(m>0){m--;s[i][3]='X';}else{out.println("Impossible");out.close();return;}}
            if(s[i][0]!='X'&&s[i][5]=='X'){if(m>0){m--;s[i][0]='X';}else{out.println("Impossible");out.close();return;}}
            if(s[i][1]!='X'&&s[i][4]=='X'){if(m>0){m--;s[i][1]='X';}else{out.println("Impossible");out.close();return;}}
            if(s[i][2]!='X'&&s[i][3]=='X'){if(m>0){m--;s[i][2]='X';}else{out.println("Impossible");out.close();return;}}
        }if(m%2==1){out.println("Impossible");out.close();return;}int f=0;
        while(m>0&&f<n){
            if(s[f][0]=='.'&&s[f][5]=='.'&&m>0){s[f][0]='X';s[f][5]='X';m=m-2;}
            if(s[f][1]=='.'&&s[f][4]=='.'&&m>0){s[f][1]='X';s[f][4]='X';m=m-2;}
            if(s[f][2]=='.'&&s[f][3]=='.'&&m>0){s[f][2]='X';s[f][3]='X';m=m-2;}
            f++;
        }if(m>0){out.println("Impossible");out.close();return;}
        for (int i = 0; i <n ; i++) {
            for (int j = 0; j <6 ; j++) {
                out.print(s[i][j]);
            }out.println();
        }
        out.close();

    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}